%define upstream_name    Pod-Coverage-Moose
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    L<Pod::Coverage> extension for L<Moose>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.630.200
BuildRequires: perl(FindBin)
BuildRequires: perl(Moose) >= 0.240.0
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(namespace::clean) >= 0.50.0
BuildArch:  noarch

%description
When using the Pod::Coverage manpage in combination with the Moose manpage,
it will report any method imported from a Role. This is especially bad when
used in combination with the Test::Pod::Coverage manpage, since it takes
away its ease of use.

To use this module in combination with the Test::Pod::Coverage manpage, use
something like this:

  use Test::Pod::Coverage;
  all_pod_coverage_ok({ coverage_class => 'Pod::Coverage::Moose'});

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 514138
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 371902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 255348
- update to 0.04

* Mon Mar 05 2012 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 218792
- update to 0.03

* Tue Jan 25 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 38498
- mageia rebuild
- cleaning spec file
- imported package perl-Pod-Coverage-Moose

